Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MVException Class Reference

Contains information about an excpetion that occured during calculations. More...

`#include <MVTools.h>`

List of all members.

## Public Types
enum | ExceptionType { Unknown, DivByPosZero, DivByNegZero, PosInfValue, NegInfValue, DetNegative, DetCloseToZero }
| type of exception More...
## Public Member Functions
| MVException ()
| MVException (ExceptionType t)
const char * | getDescription () const
| Returns a description of the exception.
## Public Attributes
ExceptionType | type
| type of exception

## Detailed Description

Contains information about an excpetion that occured during calculations.

Definition at line 15 of file MVTools.h.

## Member Enumeration Documentation

enum MVException::ExceptionType

  | type of exception Enumeration values:
  Unknown |
  DivByPosZero |
  DivByNegZero |
  PosInfValue |
  NegInfValue |
  DetNegative |
  DetCloseToZero |
Definition at line 19 of file MVTools.h.

## Constructor & Destructor Documentation

MVException::MVException | ( |  | ) | `[inline]`

| Definition at line 30 of file MVTools.h. References type, and Unknown.

MVException::MVException | ( | ExceptionType | t | ) | `[inline]`

| Definition at line 31 of file MVTools.h. References type.

## Member Function Documentation

const char * MVException::getDescription | ( |  | ) | const

| Returns a description of the exception. Returns: description of exception Definition at line 10 of file MVTools.cpp. References DetCloseToZero, DetNegative, DivByNegZero, DivByPosZero, NegInfValue, PosInfValue, and type.

## Member Data Documentation

ExceptionType MVException::type

| type of exception Definition at line 42 of file MVTools.h. Referenced by getDescription(), and MVException().

The documentation for this class was generated from the following files:

- Tools/Math/MVTools.h
- Tools/Math/MVTools.cpp